# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name attoparsec

%global common_summary Fast combinator parsing for bytestrings

%global common_description A fast parser combinator library, aimed particularly at \
dealing efficiently with network protocols and complicated \
text/binary file formats.

Name:           ghc-%{pkg_name}
Version:        0.9.1.1
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN: cabal2spec-0.24
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
# END: cabal2spec-0.24

BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel

%description
%{common_description}

%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN: cabal2spec-0.24
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END: cabal2spec-0.24

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%defattr(-,root,root,-)
%endif

%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files
%defattr(-,root,root,-)


%changelog
* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.9.1.1-2
- Update to cabal2spec-0.24

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.9.1.1-1
- update to 0.9.1.1

* Fri Jun 24 2011 Jens Petersen <petersen@redhat.com> - 0.8.6.1-2
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Wed May 11 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.6.1-1
- Update to 0.8.6.1
- Update to cabal2spec-0.22.7

* Tue May 10 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.5.3-2
- Update to cabal2spec-0.22.6

* Tue May 10 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.5.3-1
- Update to cabal2spec-0.22.5
- Update to 0.8.5.3
- Add new deepseq dependency

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.8.5.0-3
- Enable build on sparcv9

* Sat Mar 05 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.5.0-2
- Update to 0.8.5.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.3.0-1
- Update to 0.8.3.0

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.2.0-2
- Update to cabal2spec-0.22.4
- Rebuild

* Mon Nov 29 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.2.0-1
- Update to 0.8.2.0

* Mon Oct 18 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.1.1-1
- Update to 0.8.1.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.1.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
